<template>
  <table>
    <tr v-for="coordinate in coordinates" :key="coordinate.properties.id">
      <td>
        <button @click="$emit('select', coordinate)">sélect</button>
      </td>
      <td>
        {{ coordinate.properties.label }}
      </td>
      <td>
        {{ coordinate.properties.context }}
      </td>
    </tr>
  </table>
</template>

<script lang="js">

export default {
  props: {
    coordinates: Array
  },
  emits: ['select']
}
</script>
